Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Any.i File Reference

This graph shows which files directly or indirectly include this file:

## Functions
ACE_INLINE void | operator<<= (CORBA_Any_var &lhs, CORBA::Short rhs)
ACE_INLINE void | operator<<= (CORBA_Any_var &lhs, CORBA::UShort rhs)
ACE_INLINE void | operator<<= (CORBA_Any_var &lhs, CORBA::Long rhs)
ACE_INLINE void | operator<<= (CORBA_Any_var &lhs, CORBA::ULong rhs)
ACE_INLINE void | operator<<= (CORBA_Any_var &lhs, CORBA::LongLong rhs)
ACE_INLINE void | operator<<= (CORBA_Any_var &lhs, CORBA::ULongLong rhs)
ACE_INLINE void | operator<<= (CORBA_Any_var &lhs, CORBA::Float rhs)
ACE_INLINE void | operator<<= (CORBA_Any_var &lhs, CORBA::Double rhs)
ACE_INLINE void | operator<<= (CORBA_Any_var &lhs, const CORBA_Any &rhs)
ACE_INLINE void | operator<<= (CORBA_Any_var &lhs, const char *rhs)
ACE_INLINE void | operator<<= (CORBA_Any_var &lhs, CORBA::TypeCode_ptr rhs)
ACE_INLINE void | operator<<= (CORBA_Any_var &lhs, const CORBA::Object_ptr rhs)
ACE_INLINE void | operator<<= (CORBA_Any_var &lhs, CORBA::Any::from_boolean rhs)
ACE_INLINE void | operator<<= (CORBA_Any_var &lhs, CORBA::Any::from_char rhs)
ACE_INLINE void | operator<<= (CORBA_Any_var &lhs, CORBA::Any::from_wchar rhs)
ACE_INLINE void | operator<<= (CORBA_Any_var &lhs, CORBA::Any::from_octet rhs)
ACE_INLINE void | operator<<= (CORBA_Any_var &lhs, CORBA::Any::from_string rhs)
ACE_INLINE void | operator<<= (CORBA_Any_var &lhs, CORBA::Any::from_wstring rhs)
ACE_INLINE CORBA::Boolean | operator>>= (CORBA_Any_var &lhs, CORBA::Short &rhs)
ACE_INLINE CORBA::Boolean | operator>>= (CORBA_Any_var &lhs, CORBA::UShort &rhs)
ACE_INLINE CORBA::Boolean | operator>>= (CORBA_Any_var &lhs, CORBA::Long &rhs)
ACE_INLINE CORBA::Boolean | operator>>= (CORBA_Any_var &lhs, CORBA::ULong &rhs)
ACE_INLINE CORBA::Boolean | operator>>= (CORBA_Any_var &lhs, CORBA::LongLong &rhs)
ACE_INLINE CORBA::Boolean | operator>>= (CORBA_Any_var &lhs, CORBA::ULongLong &rhs)
ACE_INLINE CORBA::Boolean | operator>>= (CORBA_Any_var &lhs, CORBA::Float &rhs)
ACE_INLINE CORBA::Boolean | operator>>= (CORBA_Any_var &lhs, CORBA::Double &rhs)
ACE_INLINE CORBA::Boolean | operator>>= (CORBA_Any_var &lhs, CORBA_Any &rhs)
ACE_INLINE CORBA::Boolean | operator>>= (CORBA_Any_var &lhs, CORBA::TypeCode_ptr &rhs)
ACE_INLINE CORBA::Boolean | operator>>= (CORBA_Any_var &lhs, const char *&rhs)
ACE_INLINE CORBA::Boolean | operator>>= (CORBA_Any_var &lhs, const CORBA::WChar *&rhs)
ACE_INLINE CORBA::Boolean | operator>>= (CORBA_Any_var &lhs, CORBA::Any::to_boolean rhs)
ACE_INLINE CORBA::Boolean | operator>>= (CORBA_Any_var &lhs, CORBA::Any::to_octet rhs)
ACE_INLINE CORBA::Boolean | operator>>= (CORBA_Any_var &lhs, CORBA::Any::to_char rhs)
ACE_INLINE CORBA::Boolean | operator>>= (CORBA_Any_var &lhs, CORBA::Any::to_wchar rhs)
ACE_INLINE CORBA::Boolean | operator>>= (CORBA_Any_var &lhs, CORBA::Any::to_string rhs)
ACE_INLINE CORBA::Boolean | operator>>= (CORBA_Any_var &lhs, CORBA::Any::to_wstring rhs)
ACE_INLINE CORBA::Boolean | operator>>= (CORBA_Any_var &lhs, CORBA::Any::to_object rhs)

## Function Documentation

ACE_INLINE void operator<<= | ( | CORBA_Any_var & | lhs,
|  | CORBA::Any::from_wstring | rhs
| ) |

ACE_INLINE void operator<<= | ( | CORBA_Any_var & | lhs,
|  | CORBA::Any::from_string | rhs
| ) |

ACE_INLINE void operator<<= | ( | CORBA_Any_var & | lhs,
|  | CORBA::Any::from_octet | rhs
| ) |

ACE_INLINE void operator<<= | ( | CORBA_Any_var & | lhs,
|  | CORBA::Any::from_wchar | rhs
| ) |

ACE_INLINE void operator<<= | ( | CORBA_Any_var & | lhs,
|  | CORBA::Any::from_char | rhs
| ) |

ACE_INLINE void operator<<= | ( | CORBA_Any_var & | lhs,
|  | CORBA::Any::from_boolean | rhs
| ) |

ACE_INLINE void operator<<= | ( | CORBA_Any_var & | lhs,
|  | const CORBA::Object_ptr | rhs
| ) |

ACE_INLINE void operator<<= | ( | CORBA_Any_var & | lhs,
|  | CORBA::TypeCode_ptr | rhs
| ) |

ACE_INLINE void operator<<= | ( | CORBA_Any_var & | lhs,
|  | const char * | rhs
| ) |

ACE_INLINE void operator<<= | ( | CORBA_Any_var & | lhs,
|  | const CORBA_Any & | rhs
| ) |

ACE_INLINE void operator<<= | ( | CORBA_Any_var & | lhs,
|  | CORBA::Double | rhs
| ) |

ACE_INLINE void operator<<= | ( | CORBA_Any_var & | lhs,
|  | CORBA::Float | rhs
| ) |

ACE_INLINE void operator<<= | ( | CORBA_Any_var & | lhs,
|  | CORBA::ULongLong | rhs
| ) |

ACE_INLINE void operator<<= | ( | CORBA_Any_var & | lhs,
|  | CORBA::LongLong | rhs
| ) |

ACE_INLINE void operator<<= | ( | CORBA_Any_var & | lhs,
|  | CORBA::ULong | rhs
| ) |

ACE_INLINE void operator<<= | ( | CORBA_Any_var & | lhs,
|  | CORBA::Long | rhs
| ) |

ACE_INLINE void operator<<= | ( | CORBA_Any_var & | lhs,
|  | CORBA::UShort | rhs
| ) |

ACE_INLINE void operator<<= | ( | CORBA_Any_var & | lhs,
|  | CORBA::Short | rhs
| ) |

ACE_INLINE CORBA::Boolean operator>>= | ( | CORBA_Any_var & | lhs,
|  | CORBA::Any::to_object | rhs
| ) |

ACE_INLINE CORBA::Boolean operator>>= | ( | CORBA_Any_var & | lhs,
|  | CORBA::Any::to_wstring | rhs
| ) |

ACE_INLINE CORBA::Boolean operator>>= | ( | CORBA_Any_var & | lhs,
|  | CORBA::Any::to_string | rhs
| ) |

ACE_INLINE CORBA::Boolean operator>>= | ( | CORBA_Any_var & | lhs,
|  | CORBA::Any::to_wchar | rhs
| ) |

ACE_INLINE CORBA::Boolean operator>>= | ( | CORBA_Any_var & | lhs,
|  | CORBA::Any::to_char | rhs
| ) |

ACE_INLINE CORBA::Boolean operator>>= | ( | CORBA_Any_var & | lhs,
|  | CORBA::Any::to_octet | rhs
| ) |

ACE_INLINE CORBA::Boolean operator>>= | ( | CORBA_Any_var & | lhs,
|  | CORBA::Any::to_boolean | rhs
| ) |

ACE_INLINE CORBA::Boolean operator>>= | ( | CORBA_Any_var & | lhs,
|  | const CORBA::WChar *& | rhs
| ) |

ACE_INLINE CORBA::Boolean operator>>= | ( | CORBA_Any_var & | lhs,
|  | const char *& | rhs
| ) |

ACE_INLINE CORBA::Boolean operator>>= | ( | CORBA_Any_var & | lhs,
|  | CORBA::TypeCode_ptr & | rhs
| ) |

ACE_INLINE CORBA::Boolean operator>>= | ( | CORBA_Any_var & | lhs,
|  | CORBA_Any & | rhs
| ) |

ACE_INLINE CORBA::Boolean operator>>= | ( | CORBA_Any_var & | lhs,
|  | CORBA::Double & | rhs
| ) |

ACE_INLINE CORBA::Boolean operator>>= | ( | CORBA_Any_var & | lhs,
|  | CORBA::Float & | rhs
| ) |

ACE_INLINE CORBA::Boolean operator>>= | ( | CORBA_Any_var & | lhs,
|  | CORBA::ULongLong & | rhs
| ) |

ACE_INLINE CORBA::Boolean operator>>= | ( | CORBA_Any_var & | lhs,
|  | CORBA::LongLong & | rhs
| ) |

ACE_INLINE CORBA::Boolean operator>>= | ( | CORBA_Any_var & | lhs,
|  | CORBA::ULong & | rhs
| ) |

ACE_INLINE CORBA::Boolean operator>>= | ( | CORBA_Any_var & | lhs,
|  | CORBA::Long & | rhs
| ) |

ACE_INLINE CORBA::Boolean operator>>= | ( | CORBA_Any_var & | lhs,
|  | CORBA::UShort & | rhs
| ) |

ACE_INLINE CORBA::Boolean operator>>= | ( | CORBA_Any_var & | lhs,
|  | CORBA::Short & | rhs
| ) |